Subject: Re: bug#55040: 29.0.50; Auto-indent-mode and Changelog Messages

From: Philip Kaludercic <[email-masked]>
Date: Wed, 20 Apr 2022 20:59:59 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 20 Apr 2022 17:42:02 +0000
>> 
>> >> 1. Start emacs -Q
>> >> 2. Open any versioned file
>> >> 3. Make any modification
>> >> 4. Prepare a commit using C-x v v
>> >> 5. Go to the commit body and insert ChangeLog template
>> >> 6. Ensure that auto-fill-mode is enabled in the buffer
>> >> 7. Type anything until the fill-column is reached
>> >> 
>> >> I did 7. by just repeating the word "word", and after a short while it
>> >> auto-filled the line and the text appeared formatted as described above.
>> >
>> > Can you elaborate on Step 5?  I don't think I understand what I'm
>> > supposed to do there.
>> 
>> This should be enough:
>> 
>> * M->           (end-of-buffer)
>> * C-c C-w       (log-edit-generate-changelog-from-diff)
>
> Looks like just turning off adaptive-fill-mode is enough to solve your
> problem.

Should it be disabled for log-edit-mode in general?

diff --git a/lisp/vc/log-edit.el b/lisp/vc/log-edit.el
index 79dafe60cc..8b92e6aea1 100644
--- a/lisp/vc/log-edit.el
+++ b/lisp/vc/log-edit.el
@@ -504,6 +504,7 @@ log-edit-mode
   (cl-pushnew 'display-line-numbers-disable font-lock-extra-managed-props)
   (setq-local jit-lock-contextually t)  ;For the "first line is summary".
   (setq-local fill-paragraph-function #'log-edit-fill-entry)
+  (setq-local adaptive-fill-mode nil)
   (make-local-variable 'log-edit-comment-ring-index)
   (add-hook 'kill-buffer-hook 'log-edit-remember-comment nil t)
   (hack-dir-local-variables-non-file-buffer))

-- 
	Philip Kaludercic